# Uses of Class
org.apache.lucene.document.Document

Packages that use Document
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.

## Uses of Document in org.apache.lucene.document

Methods in org.apache.lucene.document that return Document
Modifier and Type
Method
Description
`Document`
DocumentStoredFieldVisitor.`getDocument()`
Retrieve the visited document.

## Uses of Document in org.apache.lucene.index

Methods in org.apache.lucene.index that return Document
Modifier and Type
Method
Description
`final Document`
StoredFields.`document(int docID)`
Returns the stored fields of the `n`th `Document` in this index.
`final Document`
StoredFields.`document(int docID, Set<String> fieldsToLoad)`
Like `StoredFields.document(int)` but only loads the specified fields.